diff -ru enigmail-2.0.7-sm+tb/chrome/content/aboutEnigmail.html enigmail-2.0.7-ia-id/chrome/content/aboutEnigmail.html
--- enigmail-2.0.7-sm+tb/chrome/content/aboutEnigmail.html	2018-06-12 11:20:33.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/aboutEnigmail.html	2018-07-29 16:44:38.997216229 -0400
@@ -12,7 +12,7 @@
 Components.utils.import("resource://enigmail/localizeHtml.jsm");
 
 function EnigOpenURL(hrefObj) {
-  const SEAMONKEY_ID="{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+  const SEAMONKEY_ID="{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
   var xulAppinfo = Components.classes["@mozilla.org/xre/app-info;1"].getService(Components.interfaces.nsIXULAppInfo);
   if (xulAppinfo.ID == SEAMONKEY_ID) return;
 
diff -ru enigmail-2.0.7-sm+tb/chrome/content/enigmailAbCardViewOverlay.xul enigmail-2.0.7-ia-id/chrome/content/enigmailAbCardViewOverlay.xul
--- enigmail-2.0.7-sm+tb/chrome/content/enigmailAbCardViewOverlay.xul	2018-06-12 11:20:33.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/enigmailAbCardViewOverlay.xul	2018-07-29 16:46:38.617763638 -0400
@@ -16,7 +16,7 @@
   <link rel="stylesheet" href="chrome://enigmail/skin/enigmail.css" type="text/css"/>
   <script type="application/x-javascript" src="chrome://enigmail/content/enigmailAbOverlay.js"/>
 
-  <!-- Thunderbird / SeaMonkey -->
+  <!-- Icedove-UXP / Iceape-UXP -->
   <window id="addressbookWindow">
     <popup id="enigmail_contextMenu" popupanchor="bottomleft">
       <menuitem id="enigmail_createCardRule"
diff -ru enigmail-2.0.7-sm+tb/chrome/content/enigmailCommon.js enigmail-2.0.7-ia-id/chrome/content/enigmailCommon.js
--- enigmail-2.0.7-sm+tb/chrome/content/enigmailCommon.js	2018-06-12 11:20:33.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/enigmailCommon.js	2018-07-29 16:44:38.998216191 -0400
@@ -62,7 +62,7 @@
 const ENIG_ACCOUNT_MANAGER_CONTRACTID = "@mozilla.org/messenger/account-manager;1";
 const ENIG_THREAD_MANAGER_CID = "@mozilla.org/thread-manager;1";
 const ENIG_SIMPLEURI_CONTRACTID = "@mozilla.org/network/simple-uri;1";
-const ENIG_SEAMONKEY_ID = "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}";
+const ENIG_SEAMONKEY_ID = "{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}";
 
 
 const ENIG_STANDARD_URL_CONTRACTID = "@mozilla.org/network/standard-url;1";
diff -ru enigmail-2.0.7-sm+tb/chrome/content/enigmailMessengerOverlay.js enigmail-2.0.7-ia-id/chrome/content/enigmailMessengerOverlay.js
--- enigmail-2.0.7-sm+tb/chrome/content/enigmailMessengerOverlay.js	2018-06-12 11:20:35.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/enigmailMessengerOverlay.js	2018-07-29 16:46:38.620763527 -0400
@@ -11,7 +11,7 @@
 /* global EnigmailData: false, EnigmailApp: false, EnigmailDialog: false, EnigmailTimer: false, EnigmailWindows: false, EnigmailTime: false */
 /* global EnigmailLocale: false, EnigmailLog: false, XPCOMUtils: false, EnigmailPrefs: false */
 
-/* globals from Thunderbird: */
+/* globals from Icedove-UXP: */
 /* global ReloadMessage: false, gDBView: false, gSignatureStatus: false, gEncryptionStatus: false, showMessageReadSecurityInfo: false */
 /* global gFolderDisplay: false, messenger: false, currentAttachments: false, msgWindow: false */
 /* global currentHeaderData: false, gViewAllHeaders: false, gExpandedHeaderList: false, goDoCommand: false, HandleSelectedAttachments: false */
@@ -1556,13 +1556,13 @@
       EnigmailVerify.setMsgWindow(msgWindow, null);
       messenger.loadURL(window, uri);
 
-      // Thunderbird
+      // Icedove-UXP
       let atv = document.getElementById("attachmentView");
       if (atv) {
         atv.setAttribute("collapsed", "true");
       }
 
-      // SeaMonkey
+      // Iceape-UXP
       let eab = document.getElementById("expandedAttachmentBox");
       if (eab) {
         eab.setAttribute("collapsed", "true");
@@ -1908,16 +1908,16 @@
     var selectedAttachments;
     var anAttachment;
 
-    // Thunderbird
+    // Icedove-UXP
     var contextMenu = document.getElementById('attachmentItemContext');
 
     if (contextMenu) {
-      // Thunderbird
+      // Icedove-UXP
       selectedAttachments = contextMenu.attachments;
       anAttachment = selectedAttachments[0];
     }
     else {
-      // SeaMonkey
+      // Iceape-UXP
       contextMenu = document.getElementById('attachmentListContext');
       selectedAttachments = document.getElementById('attachmentList').selectedItems;
       anAttachment = selectedAttachments[0].attachment;
diff -ru enigmail-2.0.7-sm+tb/chrome/content/enigmailMessengerOverlay.xul enigmail-2.0.7-ia-id/chrome/content/enigmailMessengerOverlay.xul
--- enigmail-2.0.7-sm+tb/chrome/content/enigmailMessengerOverlay.xul	2018-06-12 11:20:35.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/enigmailMessengerOverlay.xul	2018-07-29 16:46:38.621763489 -0400
@@ -26,7 +26,7 @@
     <broadcaster id="enigmail-pEp-bc" collapsed="true"/>
   </broadcasterset>
 
-  <!-- Thunderbird secondary pane -->
+  <!-- Icedove-UXP secondary pane -->
   <popup id="appmenuSecondaryPane">
     <splitmenu id="menu_Enigmail2ndPane"
           label="&enigmail.label;"
@@ -352,7 +352,7 @@
   </vbox>
 
 
-  <!-- Thunderbird -->
+  <!-- Icedove-UXP -->
   <popup id="attachmentItemContext" onpopupshowing="return Enigmail.hdrView.enigOnShowAttachmentContextMenu();">
     <menuseparator/>
     <menuitem id="enigmail_ctxImportKey"
@@ -373,7 +373,7 @@
       oncommand="Enigmail.msg.handleAttachmentSel('verifySig');"/>
   </popup>
 
-  <!-- SeaMonkey -->
+  <!-- Iceape-UXP -->
   <popup id="attachmentListContext">
     <menuseparator/>
     <menuitem id="enigmail_ctxImportKey_SM"
diff -ru enigmail-2.0.7-sm+tb/chrome/content/enigmailMsgComposeOverlay.js enigmail-2.0.7-ia-id/chrome/content/enigmailMsgComposeOverlay.js
--- enigmail-2.0.7-sm+tb/chrome/content/enigmailMsgComposeOverlay.js	2018-06-12 11:20:34.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/enigmailMsgComposeOverlay.js	2018-07-29 16:46:38.627763266 -0400
@@ -8,7 +8,7 @@
 
 "use strict";
 
-/*globally available Thunderbird variables/object/functions: */
+/*globally available Icedove-UXP variables/object/functions: */
 /*global gMsgCompose: false, getCurrentIdentity: false */
 /*global UpdateAttachmentBucket: false, gContentChanged: true */
 /*global AddAttachments: false, AddAttachment: false, ChangeAttachmentBucketVisibility: false, GetResourceFromUri: false */
@@ -1124,7 +1124,7 @@
       AddAttachments([attachment]);
     }
     else {
-      // SeaMonkey
+      // Iceape-UXP
       AddAttachment(attachment);
     }
   },
@@ -4397,7 +4397,7 @@
         // Encryption/signing succeeded; overwrite plaintext
 
         if (gMsgCompose.composeHTML) {
-          // workaround for Thunderbird bug (TB adds an extra space in front of the text)
+          // workaround for Icedove-UXP bug (TB adds an extra space in front of the text)
           cipherText = "\n" + cipherText;
         }
         else
diff -ru enigmail-2.0.7-sm+tb/chrome/content/enigmailMsgHdrViewOverlay.js enigmail-2.0.7-ia-id/chrome/content/enigmailMsgHdrViewOverlay.js
--- enigmail-2.0.7-sm+tb/chrome/content/enigmailMsgHdrViewOverlay.js	2018-06-12 11:20:35.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/enigmailMsgHdrViewOverlay.js	2018-07-29 16:46:38.629763192 -0400
@@ -8,7 +8,7 @@
 
 "use strict";
 
-/* globals from Thunderbird: */
+/* globals from Icedove-UXP: */
 /* global gFolderDisplay: false, currentAttachments: false, gSMIMEContainer: false, gSignedUINode: false, gEncryptedUINode: false */
 /* global gDBView: false, msgWindow: false, messageHeaderSink: false, gMessageListeners: false, findEmailNodeFromPopupNode: true */
 /* global gExpandedHeaderView: false, CanDetachAttachments: true, gEncryptedURIService: false */
@@ -974,12 +974,12 @@
   onShowAttachmentContextMenu: function() {
     EnigmailLog.DEBUG("enigmailMsgHdrViewOverlay.js: this.onShowAttachmentContextMenu\n");
 
-    // Thunderbird
+    // Icedove-UXP
     var contextMenu = document.getElementById('attachmentItemContext');
     var selectedAttachments = contextMenu.attachments;
 
     if (!contextMenu) {
-      // SeaMonkey
+      // Iceape-UXP
       contextMenu = document.getElementById('attachmentListContext');
       selectedAttachments = attachmentList.selectedItems;
     }
diff -ru enigmail-2.0.7-sm+tb/chrome/content/messengerOverlay-sm.xul enigmail-2.0.7-ia-id/chrome/content/messengerOverlay-sm.xul
--- enigmail-2.0.7-sm+tb/chrome/content/messengerOverlay-sm.xul	2018-06-12 11:20:35.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/messengerOverlay-sm.xul	2018-07-29 16:46:38.629763192 -0400
@@ -6,7 +6,7 @@
 -->
 
 <!--
-  This adds the Enigmail header box to the mail reading window on SeaMonkey
+  This adds the Enigmail header box to the mail reading window on Iceape-UXP
 
   Please not that is is only a placeholder to reference the location in
   enigmailMessengerOverlay.xul properly
diff -ru enigmail-2.0.7-sm+tb/chrome/content/messengerOverlay-tbird.xul enigmail-2.0.7-ia-id/chrome/content/messengerOverlay-tbird.xul
--- enigmail-2.0.7-sm+tb/chrome/content/messengerOverlay-tbird.xul	2018-06-12 11:20:35.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/messengerOverlay-tbird.xul	2018-07-29 16:46:24.654283396 -0400
@@ -6,7 +6,7 @@
 -->
 
 <!--
-  This adds the Enigmail header box to the mail reading window on Thunderbird
+  This adds the Enigmail header box to the mail reading window on Icedove-UXP
 
   Please not that is is only a placeholder to reference the location in
   enigmailMessengerOverlay.xul properly
diff -ru enigmail-2.0.7-sm+tb/chrome/content/pref-enigmail.js enigmail-2.0.7-ia-id/chrome/content/pref-enigmail.js
--- enigmail-2.0.7-sm+tb/chrome/content/pref-enigmail.js	2018-06-12 11:20:34.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/content/pref-enigmail.js	2018-07-29 16:46:24.655283359 -0400
@@ -550,7 +550,7 @@
 
   var prefTabBox = document.getElementById("prefTabBox");
   if (prefTabBox) {
-    // Thunderbird
+    // Icedove-UXP
     //    EnigCollapseAdvanced(document.getElementById("enigPrefTabPanel"), "hidden", null);
     EnigCollapseAdvanced(prefTabBox, "collapsed", null);
   }
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/ar/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/ar/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/ar/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/ar/enigmail.dtd	2018-07-29 16:46:24.681282391 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Display Expert Settings and Menus">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/bg/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/bg/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/bg/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/bg/enigmail.dtd	2018-07-29 16:46:24.656283321 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Display Expert Settings and Menus">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/ca/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/ca/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/ca/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/ca/enigmail.dtd	2018-07-29 16:46:24.665282986 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Mostra la configuració i menús d'expert">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/cs/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/cs/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/cs/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/cs/enigmail.dtd	2018-07-29 16:46:24.673282688 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Display Expert Settings and Menus">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/de/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/de/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/de/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/de/enigmail.dtd	2018-07-29 16:46:24.681282391 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "Drücken, wenn Sie Menüpunkte und Optionen für fortgeschrittene Benutzer sehen möchten.">
 <!ENTITY enigmail.expertUserMenus.label    "Experten-Optionen und -Menüs anzeigen">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Ihre Enigmail-Einstellungen und OpenPGP-Schlüssel sind jetzt gespeichert.
-Bitte übertragen Sie die generierte Datei auf Ihren neuen Rechner, starten Sie dort Thunderbird und darin den Einrichtungs-Assistenten aus dem Enigmail-Menü.">
+Bitte übertragen Sie die generierte Datei auf Ihren neuen Rechner, starten Sie dort Icedove-UXP und darin den Einrichtungs-Assistenten aus dem Enigmail-Menü.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Einstellungen werden gespeichert. Es kann sein, dass sie dabei (auch mehrfach) nach der Passphrase für Ihre Schlüssel gefragt werden.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Beim Exportieren der Einstellungen ist ein Fehler aufgetreten. Die Einstellungen konnten nicht exportiert werden.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Enigmail-Einstellungen werden exportiert">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/el/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/el/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/el/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/el/enigmail.dtd	2018-07-29 16:46:24.657283284 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Display Expert Settings and Menus">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/en-US/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/en-US/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/en-US/enigmail.dtd	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/en-US/enigmail.dtd	2018-07-29 16:46:24.666282949 -0400
@@ -830,7 +830,7 @@
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 
 <!ENTITY enigmail.privacyPprefPane.juniorMode         "Enigmail Junior Mode">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/en-US/help/initError.html enigmail-2.0.7-ia-id/chrome/locale/en-US/help/initError.html
--- enigmail-2.0.7-sm+tb/chrome/locale/en-US/help/initError.html	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/en-US/help/initError.html	2018-07-29 16:46:38.629763192 -0400
@@ -33,10 +33,10 @@
 
     <dd>
       <p>
-      Enigmail works only if it is built using the same build environment as Thunderbird or SeaMonkey was built. This means that you can use the official Enigmail releases only if you use the official releases of Thunderbird or SeaMonkey provided by <a href="www.mozilla.org">mozilla.org</a>.
+      Enigmail works only if it is built using the same build environment as Icedove-UXP or Iceape-UXP was built. This means that you can use the official Enigmail releases only if you use the official releases of Icedove-UXP or Iceape-UXP provided by <a href="www.mozilla.org">mozilla.org</a>.
       </p>
       <p>
-      If you use a Thunderbird or SeaMonkey version coming from some other source (e.g. the provider of your Linux distribution), or if you built the application yourself, you should either use an Enigmail version built by the same source, or build Enigmail yourself. For building Enigmail, refer to the <a href="http://www.enigmail.net/download/source.php">Source Code section</a> on the Enigmail home page. Please don't file any bug report concerning this problem, it is not solvable.
+      If you use a Icedove-UXP or Iceape-UXP version coming from some other source (e.g. the provider of your Linux distribution), or if you built the application yourself, you should either use an Enigmail version built by the same source, or build Enigmail yourself. For building Enigmail, refer to the <a href="http://www.enigmail.net/download/source.php">Source Code section</a> on the Enigmail home page. Please don't file any bug report concerning this problem, it is not solvable.
       </p>
     </dd>
   </dl>
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/es-ES/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/es-ES/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/es-ES/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/es-ES/enigmail.dtd	2018-07-29 16:46:24.674282651 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Mostrar configuraciones y menús avanzados">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Sus claves OpenPGP y su configuración de Enigmail ahora
 están guardadas. Por favor, transfiera el fichero generado a su 
-nuevo equipo, ejecute Thunderbird e inicie el asistente de
+nuevo equipo, ejecute Icedove-UXP e inicie el asistente de
 configuración desde el menú Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Guardado en curso. Puede que se le pidan las frases-contraseña de sus claves.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Ocurrió un error durante la exportación. La configuración no se pudo exportar.">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/fi/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/fi/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/fi/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/fi/enigmail.dtd	2018-07-29 16:46:24.682282353 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Näytä ylläpidon asetukset ja valikot ">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/fr/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/fr/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/fr/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/fr/enigmail.dtd	2018-07-29 16:46:24.658283247 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "Cliquer pour afficher les menus et options pour les utilisateurs experts.">
 <!ENTITY enigmail.expertUserMenus.label    "Afficher les menus et paramètres pour experts">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Vos clés OpenPGP et vos paramètres Enigmail sont maintenant enregistrés.
-Veuillez transférer le fichier généré vers votre nouvel ordinateur, y lancer Thunderbird, puis l’assistant de configuration à partir du menu Enigmail.">
+Veuillez transférer le fichier généré vers votre nouvel ordinateur, y lancer Icedove-UXP, puis l’assistant de configuration à partir du menu Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Enregistrement en cours. Les phrases de passe de vos clés vous seront peut-être demandées.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Une erreur s’est produite durant l’exportation. Les paramètres n’ont pas pu être exportés.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exportation des paramètres d’Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/gd/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/gd/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/gd/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/gd/enigmail.dtd	2018-07-29 16:46:24.667282912 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Seall na roghainnean is clàran-taice adhartach">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Tha na h-iuchraichean OpenPGP is na roghainnean Enigmail agad air an sàbhaladh.
 Cuir am faidhle a chaidh a ghintinn dhan choimpiutair ùr agad, tòisich
-Thunderbird is tòisich draoidh an rèiteachaidh on chlàr-taice Enigmail.">
+Icedove-UXP is tòisich draoidh an rèiteachaidh on chlàr-taice Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Tha sàbhaladh a’ dol air adhart. Dh’fhaoidte gun dèid an abairt-fhaire airson iuchair no dhà iarraidh ort.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Thachair mearachd rè an às-phortaidh. Cha deach leinn na roghainnean às-phortadh.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Ag às-phortadh roghainnean Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/gl/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/gl/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/gl/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/gl/enigmail.dtd	2018-07-29 16:46:24.675282614 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "Prema para ver os elementos do menú e as opcións avanzadas.">
 <!ENTITY enigmail.expertUserMenus.label    "Mostrar os axustes e menús para expertos">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Gardáronse as súas chaves OpenPGP e os axustes de Enigmail.
-Transfira o ficheiro xerado ao novo computador, inicie o Thunderbird
+Transfira o ficheiro xerado ao novo computador, inicie o Icedove-UXP
  e despois o Asistente de configuración no menú do Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Gardando. Pódenselle pedir a frase secreta(s) das súas chaves.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Produciuse un erro na exportación. Non foi posíbel exportar os axustes.">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/hr/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/hr/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/hr/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/hr/enigmail.dtd	2018-07-29 16:46:24.683282316 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Prikaži stručne postavke i izbornike">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Vaši OpenPGP ključevi i Enigmail postavke su sad pohranjene.
 Molimo da prenesete generiranu datoteku na novo računalo, pokrenete
-Thunderbird i pokrenete Čarobnjak za postavljanje iz Enigmail izbornika.">
+Icedove-UXP i pokrenete Čarobnjak za postavljanje iz Enigmail izbornika.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Pohrana u toku. Možda će se od Vas tražiti lozinke Vaših ključeva.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Došlo je do greške prilikom izvoza. Postavke nisu mogle biti izvezene.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Izvozim Enigmail postavke">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/hu/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/hu/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/hu/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/hu/enigmail.dtd	2018-07-29 16:46:24.660283172 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Speciális beállítások és menük megjelenítése">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Az OpenPGP kulcsok és az Enigmail beállítások mentése sikerült. 
 Másolja át a létrehozott fájlt az új számítógépre, majd indítsa el 
-a Thunderbird levelezőklienst, és az Enigmail menüből válassza ki a Beállításvarázslót">
+a Icedove-UXP levelezőklienst, és az Enigmail menüből válassza ki a Beállításvarázslót">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "A mentés folyamatban. A kulcsok mentéséhez szükség lehet a kulcsok jelmondatának megadására.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Hiba lépett fel a mentés során. A beállítások nem menthetők el.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Enigmail beállítások mentése">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/it/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/it/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/it/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/it/enigmail.dtd	2018-07-29 16:46:24.668282875 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "Premi qui per vedere le voci di menu e le opzioni riservate ad utenti esperti.">
 <!ENTITY enigmail.expertUserMenus.label    "Visualizza Impostazioni avanzate e menu">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Le tue chiavi OpenPGP e le impostazioni di Enigmail sono ora salvate.
-Trasferisci il file generato sul tuo nuovo computer, esegui Thunderbird 
+Trasferisci il file generato sul tuo nuovo computer, esegui Icedove-UXP 
 e avvia la procedura guidata dal menu di Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Salvataggio in corso. Potresti ricevere la richiesta delle frasi segrete delle tue chiavi.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Si è verificato un errore durante l'esportazione. Le impostazioni potrebbero non essere state esportate.">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/ja/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/ja/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/ja/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/ja/enigmail.dtd	2018-07-29 16:46:24.676282577 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "上級者向けの設定とメニューを表示">
 <!ENTITY enigmail.exportWiz.pgExport.done            "あなたの OpenPGP 鍵と Enigmail の設定は無事にエクスポートされました。
                                                       エクスポートされたファイルを新しい環境にコピーし、
-                                                      Thunderbird を起動して Enigmail メニューからセットアップウィザードを開始してください。">
+                                                      Icedove-UXP を起動して Enigmail メニューからセットアップウィザードを開始してください。">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "データをエクスポート中です。途中であなたの秘密鍵のパスフレーズを尋ねられるかもしれません。">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "エクスポート中にエラーが発生しました。Enigmail の設定はエクスポートされませんでした。">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Enigmail 設定をエクスポート">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/lt/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/lt/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/lt/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/lt/enigmail.dtd	2018-07-29 16:46:24.661283135 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Rodyti ekspertinius nustatymus ir meniu">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Dabar, jūsų OpenPGP raktai ir Enigmail nustatymai yra įrašyti.
                                                       Perkelkite sugeneruotą failą į savo naująjį kompiuterį, paleiskite
-                                                      Thunderbird ir iš Enigmail meniu paleiskite Sąrankos vediklį.">
+                                                      Icedove-UXP ir iš Enigmail meniu paleiskite Sąrankos vediklį.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Įrašymas eigoje. Jūsų gali būti paklausta jūsų rakto(-ų) slaptafrazės(-ių).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Eksportavimo metu įvyko klaida. Nustatymų eksportuoti nepavyko.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Eksportuojami Enigmail nustatymai">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/nb-NO/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/nb-NO/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/nb-NO/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/nb-NO/enigmail.dtd	2018-07-29 16:46:24.669282837 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Vis ekspertinnstillinger og -menyer">
 <!ENTITY enigmail.exportWiz.pgExport.done            "OpenPGP-nøklene og Enigmail-innstillingene dine er nå lagret. 
 Overfør den lagrede filen til din nye maskin, start 
-Thunderbird og deretter oppsettsveiviseren fra Enigmail-menyen.">
+Icedove-UXP og deretter oppsettsveiviseren fra Enigmail-menyen.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Lagring pågår. Du kan bli spurt om passfrasene til nøklene dine">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "En feil oppsto under eksporten. Innstillingenen kunne ikke eksporteres.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Eksporterer Enigmail-innstillinger">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/nl/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/nl/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/nl/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/nl/enigmail.dtd	2018-07-29 16:46:24.677282540 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Instellingen en menu’s voor gevorderden tonen">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Uw OpenPGP-sleutels en uw Enigmail-instellingen zijn nu opgeslagen.
                                                       Zet het gegenereerde bestand over naar uw nieuwe computer, start
-                                                      Thunderbird en start de Instellingenwizard vanuit het Enigmail-menu.">
+                                                      Icedove-UXP en start de Instellingenwizard vanuit het Enigmail-menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Opslaan wordt uitgevoerd. Mogelijk wordt om de wachtwoordzin(nen) van uw sleutel(s) gevraagd.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Er is een fout opgetreden bij het exporteren. De instellingen konden niet worden opgeslagen.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Enigmail-instellingen exporteren">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/pl/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/pl/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/pl/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/pl/enigmail.dtd	2018-07-29 16:46:24.684282279 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Wyświetl ustawienia zaawansowane">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/pt-BR/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/pt-BR/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/pt-BR/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/pt-BR/enigmail.dtd	2018-07-29 16:46:24.662283098 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "Ativar caso deseje visualizar itens de menu e opções para usuários avançados.">
 <!ENTITY enigmail.expertUserMenus.label    "Mostrar Configurações Avançadas e Menus">
 <!ENTITY enigmail.exportWiz.pgExport.done            "As suas configurações do OpenPGP e do Enigmail estão salvas
-Por favor transfira os arquivos gerados para o novo computador, abra o Thunderbird e inicie o Assistente de Configuração através do menu do Enigmail.">
+Por favor transfira os arquivos gerados para o novo computador, abra o Icedove-UXP e inicie o Assistente de Configuração através do menu do Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Salvando o estado.  Pode ser pedido a(s) senha(s) da(s) sua(s) chave(s)">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Um erro occorreu durante a exportação. As configurações não puderam ser exportadas">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exportando Configuragões do Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/pt-PT/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/pt-PT/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/pt-PT/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/pt-PT/enigmail.dtd	2018-07-29 16:46:24.670282800 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "Premir se pretende ver os itens de menu e opções para utilizadores avançados.">
 <!ENTITY enigmail.expertUserMenus.label    "Mostrar Opções e Menus Avançados">
 <!ENTITY enigmail.exportWiz.pgExport.done            "As suas chaves OpenPGP e configuração do Enigmail foram guardadas.
-                                                      Por favor transfira o ficheiro gerado para o seu novo computador, abra o Thunderbird
+                                                      Por favor transfira o ficheiro gerado para o seu novo computador, abra o Icedove-UXP
                                                       e inicie o Assistente de Configuração a partir do menu do Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "A guardar. Pode-lhe ser solicitado a frase(s) de acesso da sua chave(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Ocorreu um erro durante a exportação. A configuração não foi exportada.">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/pt-PT/help/messenger.html enigmail-2.0.7-ia-id/chrome/locale/pt-PT/help/messenger.html
--- enigmail-2.0.7-sm+tb/chrome/locale/pt-PT/help/messenger.html	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/pt-PT/help/messenger.html	2018-07-29 16:46:24.670282800 -0400
@@ -9,7 +9,7 @@
 
 <h3>Usar o Enigmail ao ler mensagens</h3>
 <ul>
-	<li><b>Bot&atilde;o Decifrar na janela principal do Mail &amp; Newsgroups / Thunderbird</b><br />
+	<li><b>Bot&atilde;o Decifrar na janela principal do Mail &amp; Newsgroups / Icedove-UXP</b><br />
 	Este bot&atilde;o pode ser usado para: decifrar, verificar ou importar chaves p&uacute;blicas.
 	Normalmente, as mensagens s&atilde;o decifradas e verificadas automaticamente, embora
 	este comportamento possa ser desactivado numa prefer&ecirc;ncia. Contudo, se isto falhar,
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/ru/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/ru/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/ru/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/ru/enigmail.dtd	2018-07-29 16:46:24.678282502 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Показать расширенные настройки и меню">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Ключи OpenPGP и настройки Enigmail сохранены.
 Перенесите созданные файлы на новый компьютер, запустите 
-Thunderbird и запустите мастер установки из меню Enigmail.">
+Icedove-UXP и запустите мастер установки из меню Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Выполняется сохранение. Возможно, будет предложено ввести парольную фразу (фразы) для колюча (ключей).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Во время экспорта произошла ошибка. Настройки не могут быть экспортированы.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Экспортируются настройки Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/sk/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/sk/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/sk/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/sk/enigmail.dtd	2018-07-29 16:46:24.685282242 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Zobraz Expertné nastavenia a menu">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/sl/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/sl/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/sl/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/sl/enigmail.dtd	2018-07-29 16:46:24.663283061 -0400
@@ -244,7 +244,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Pokaži napredne nastavitve in menije">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Vaši ključi OpenPGP in nastavitve Enigmail so sedaj shranjene.
                                                       Prenesite ustvarjeno datoteko na nov računalnik, zaženite
-                                                      Thunderbird in zaženite čarovnik za namestitev iz menija Enigmail.">
+                                                      Icedove-UXP in zaženite čarovnik za namestitev iz menija Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Shranjevanje v teku. Morda boste pozvani za geslo vaših ključev.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Med izvozom se je pojavila napaka. Nastavitev ni bilo mogoče izvoziti.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Izvažanje nastavitev Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/sq/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/sq/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/sq/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/sq/enigmail.dtd	2018-07-29 16:46:24.671282763 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Shfaq Rregullime dhe Menu Eksperti">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Kyçet tuaj OpenPGP dhe rregullimet tuaja për Enigmail-in u ruajtën.
                                                       Ju lutemi, kartelën e prodhuar mbarteni te kompjuteri juaj i ri, nisni
-                                                      Thunderbird-in dhe vini në punë Ndihmësin e Rregullimeve që nga menuja Enigmail.">
+                                                      Icedove-UXP-in dhe vini në punë Ndihmësin e Rregullimeve që nga menuja Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Ruajtja po kryhet. Mund t'ju kërkohet frazëkalimi(et) për kyçin(et) tuaj.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Ndodhi një gabim gjatë eksportimit. Rregullimet s'u eksportuan dot.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Po eksportohen Rregullime Enigmail-i">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/sv-SE/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/sv-SE/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/sv-SE/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/sv-SE/enigmail.dtd	2018-07-29 16:46:24.679282465 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Visa expertinställningar och menyer">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Dina OpenPGP-nycklar och dina inställningar för Enigmail har nu sparats.
 Vänligen överföra den genererade filen till den nya datorn, starta 
-Thunderbird och börja installationsguiden från menyn i Enigmail.">
+Icedove-UXP och börja installationsguiden från menyn i Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Spara pågår. Du kan bli tillfrågad om lösenfrasen för din nyckel.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Ett fel inträffade under exporten. Inställningarna kunde inte exporteras.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporterar inställningar för Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/tr/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/tr/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/tr/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/tr/enigmail.dtd	2018-07-29 16:46:24.686282205 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Display Expert Settings and Menus">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/vi/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/vi/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/vi/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/vi/enigmail.dtd	2018-07-29 16:46:24.664283024 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "Hiện Trình đơn và Cài đặt chuyên gia">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Khoá OpenPGP và toàn bộ cài đặt Enigmail đã được lưu.
                                                       Xin chuyển tập tin đã tạo vào máy mới, chạy
-                                                      Thunderbird và khởi chạy Trình hướng dẫn cài đặt từ trình đơn Enigmail.">
+                                                      Icedove-UXP và khởi chạy Trình hướng dẫn cài đặt từ trình đơn Enigmail.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Đang lưu. Bạn có thể được hỏi (các) mật khẩu của (các) khoá.">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "Đã xảy a lỗi khi xuất. Không thể xuất được các cài đặt này.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Đang xuất cài đặt Enigmail">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/zh-CN/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/zh-CN/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/zh-CN/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/zh-CN/enigmail.dtd	2018-07-29 16:46:24.672282726 -0400
@@ -242,7 +242,7 @@
 <!ENTITY enigmail.expertUser.tooltip       "如果您想看到面向高级用户的菜单和配置就选此项。">
 <!ENTITY enigmail.expertUserMenus.label    "显示专家设置和菜单">
 <!ENTITY enigmail.exportWiz.pgExport.done            "您的 OpenPGP 密钥和您的 Enigmail 设置现在已保存。
-请将生成的文件传输到新的电脑，启动 Thunderbird 并从 Enigmail 启动设置向导。">
+请将生成的文件传输到新的电脑，启动 Icedove-UXP 并从 Enigmail 启动设置向导。">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "正在保存。您可能被询问您的密钥的密码。">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "导出时发生错误。设置未能导出。">
 <!ENTITY enigmail.exportWiz.pgExport.title           "正在导出 Enigmail 设置">
diff -ru enigmail-2.0.7-sm+tb/chrome/locale/zh-TW/enigmail.dtd enigmail-2.0.7-ia-id/chrome/locale/zh-TW/enigmail.dtd
--- enigmail-2.0.7-sm+tb/chrome/locale/zh-TW/enigmail.dtd	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/locale/zh-TW/enigmail.dtd	2018-07-29 16:46:24.680282428 -0400
@@ -243,7 +243,7 @@
 <!ENTITY enigmail.expertUserMenus.label    "顯示專家設定與選單">
 <!ENTITY enigmail.exportWiz.pgExport.done            "Your OpenPGP keys and your Enigmail settings are now saved.
                                                       Please transfer the generated file to your new computer, launch
-                                                      Thunderbird and start the Setup Wizard from the Enigmail menu.">
+                                                      Icedove-UXP and start the Setup Wizard from the Enigmail menu.">
 <!ENTITY enigmail.exportWiz.pgExport.exporting       "Saving in progress. You might be asked for the passphrase(s) of your key(s).">
 <!ENTITY enigmail.exportWiz.pgExport.failed          "An error occurred during the export. The settings could not be exported.">
 <!ENTITY enigmail.exportWiz.pgExport.title           "Exporting Enigmail Settings">
diff -ru enigmail-2.0.7-sm+tb/chrome/skin/classic-seamonkey/enigmail.css enigmail-2.0.7-ia-id/chrome/skin/classic-seamonkey/enigmail.css
--- enigmail-2.0.7-sm+tb/chrome/skin/classic-seamonkey/enigmail.css	2018-06-12 11:20:40.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/skin/classic-seamonkey/enigmail.css	2018-07-29 16:46:38.630763154 -0400
@@ -4,7 +4,7 @@
  * file, You can obtain one at http://mozilla.org/MPL/2.0/.
  */
 
-/* Enigmail styles for the SeaMonkey Classic style*/
+/* Enigmail styles for the Iceape-UXP Classic style*/
 
 @import url("chrome://enigmail/skin/enigmail-common.css"); /* common styles for all platforms */
 @import url("chrome://enigmail/skin/enigmail-pEp.css");    /* styles related to pEp for all platforms */
diff -ru enigmail-2.0.7-sm+tb/chrome/skin/modern/enigmail.css enigmail-2.0.7-ia-id/chrome/skin/modern/enigmail.css
--- enigmail-2.0.7-sm+tb/chrome/skin/modern/enigmail.css	2018-06-12 11:20:41.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome/skin/modern/enigmail.css	2018-07-29 16:46:38.629763192 -0400
@@ -5,7 +5,7 @@
  */
 
 /**
- * Enigmail styles for the SeaMonkey "Modern" theme
+ * Enigmail styles for the Iceape-UXP "Modern" theme
  */
 
 @import url("chrome://enigmail/skin/enigmail-common.css"); /* common styles for all platforms */
diff -ru enigmail-2.0.7-sm+tb/chrome.manifest enigmail-2.0.7-ia-id/chrome.manifest
--- enigmail-2.0.7-sm+tb/chrome.manifest	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/chrome.manifest	2018-07-29 16:46:38.617763638 -0400
@@ -3,22 +3,22 @@
 
 
 # Skin for TBird Mac OS X
-skin          enigmail    classic/1.0 chrome/skin/tb-mac/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=Darwin
+skin          enigmail    classic/1.0 chrome/skin/tb-mac/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=Darwin
 # Skin for TBird Windows
-skin          enigmail    classic/1.0 chrome/skin/tb-win-xp/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=WINNT osversion<6
-skin          enigmail    classic/1.0 chrome/skin/aero/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=WINNT osversion>=6
-skin          enigmail    classic/1.0 chrome/skin/tb-win-xp/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=OS2
+skin          enigmail    classic/1.0 chrome/skin/tb-win-xp/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=WINNT osversion<6
+skin          enigmail    classic/1.0 chrome/skin/aero/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=WINNT osversion>=6
+skin          enigmail    classic/1.0 chrome/skin/tb-win-xp/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=OS2
 # Skin for TBird other OS (e.g. Linux)
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=Linux
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=SunOS
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=FreeBSD
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=OpenBSD
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=NetBSD
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=AIX
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=HP-UX
-skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} os=DragonFly
-# Skin for SeaMonkey
-skin          enigmail    classic/1.0 chrome/skin/classic-seamonkey/ application={92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=Linux
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=SunOS
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=FreeBSD
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=OpenBSD
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=NetBSD
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=AIX
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=HP-UX
+skin          enigmail    classic/1.0 chrome/skin/tb-linux/ application!={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a} os=DragonFly
+# Skin for Iceape-UXP
+skin          enigmail    classic/1.0 chrome/skin/classic-seamonkey/ application={9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}
 skin          enigmail    modern/1.0 chrome/skin/modern/
 
 
diff -ru enigmail-2.0.7-sm+tb/install.rdf enigmail-2.0.7-ia-id/install.rdf
--- enigmail-2.0.7-sm+tb/install.rdf	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/install.rdf	2018-07-29 16:45:11.792995484 -0400
@@ -12,31 +12,21 @@
     <!-- Target Applications this extension can install into,
          with minimum and maximum supported versions. -->
     <em:targetApplication>
-      <!-- Thunderbird -->
+      <!-- Icedove-UXP -->
       <Description>
-        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
+        <em:id>{3aa07e56-beb0-47a0-b0cb-c735edd25419}</em:id>
         <em:minVersion>52.0</em:minVersion>
         <em:maxVersion>60.0</em:maxVersion>
       </Description>
     </em:targetApplication>
     <em:targetApplication>
-      <!-- Seamonkey -->
+      <!-- Iceape-UXP -->
       <Description>
-        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
+        <em:id>{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}</em:id>
         <em:minVersion>2.46</em:minVersion>
         <em:maxVersion>2.57</em:maxVersion>
       </Description>
     </em:targetApplication>
-    <!-- em:targetApplication>
-      < ! - - Spicebird - - >
-      <Description>
-        <em:id>{ee53ece0-255c-4cc6-8a7e-81a8b6e5ba2c}</em:id>
-        <em:minVersion>0.7</em:minVersion>
-        <em:maxVersion>0.8</em:maxVersion>
-      </Description>
-    </em:targetApplication -->
-
-<!-- targetPlatform not required (anymore) -->
 
     <!-- Front End MetaData -->
     <em:name>Enigmail</em:name>
diff -ru enigmail-2.0.7-sm+tb/modules/addrbook.jsm enigmail-2.0.7-ia-id/modules/addrbook.jsm
--- enigmail-2.0.7-sm+tb/modules/addrbook.jsm	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/addrbook.jsm	2018-07-29 16:46:24.692281981 -0400
@@ -11,7 +11,7 @@
 var EXPORTED_SYMBOLS = ["EnigmailAddrbook"];
 
 /*
- * Functionality related to the Thunderbird address book
+ * Functionality related to the Icedove-UXP address book
  *
  */
 
diff -ru enigmail-2.0.7-sm+tb/modules/app.jsm enigmail-2.0.7-ia-id/modules/app.jsm
--- enigmail-2.0.7-sm+tb/modules/app.jsm	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/app.jsm	2018-07-29 16:46:38.631763117 -0400
@@ -19,12 +19,12 @@
 
 const DIR_SERV_CONTRACTID = "@mozilla.org/file/directory_service;1";
 const ENIG_EXTENSION_GUID = "{847b3a00-7ab1-11d4-8f02-006008948af5}";
-const SEAMONKEY_ID = "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}";
+const SEAMONKEY_ID = "{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}";
 const XPCOM_APPINFO = "@mozilla.org/xre/app-info;1";
 
 var EnigmailApp = {
   /**
-   * Platform application name (e.g. Thunderbird)
+   * Platform application name (e.g. Icedove-UXP)
    */
   getName: function() {
     return Cc[XPCOM_APPINFO].getService(Ci.nsIXULAppInfo).name;
@@ -32,7 +32,7 @@
 
   /**
    * Platform (Gecko) version number (e.g. 42.0)
-   * The platform version for SeaMonkey and for Thunderbird are identical
+   * The platform version for Iceape-UXP and for Icedove-UXP are identical
    * (unlike the application version numbers)
    */
   getPlatformVersion: function() {
diff -ru enigmail-2.0.7-sm+tb/modules/funcs.jsm enigmail-2.0.7-ia-id/modules/funcs.jsm
--- enigmail-2.0.7-sm+tb/modules/funcs.jsm	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/funcs.jsm	2018-07-29 16:46:24.691282018 -0400
@@ -178,7 +178,7 @@
 
 
   /**
-   * this function tries to mimic the Thunderbird plaintext viewer
+   * this function tries to mimic the Icedove-UXP plaintext viewer
    *
    * @plainTxt - |string| containing the plain text data
    *
diff -ru enigmail-2.0.7-sm+tb/modules/msgRead.jsm enigmail-2.0.7-ia-id/modules/msgRead.jsm
--- enigmail-2.0.7-sm+tb/modules/msgRead.jsm	2018-06-12 11:20:44.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/msgRead.jsm	2018-07-29 16:46:38.631763117 -0400
@@ -26,7 +26,7 @@
 
 var EnigmailMsgRead = {
   /**
-   * Ensure that Thunderbird prepares certain headers during message reading
+   * Ensure that Icedove-UXP prepares certain headers during message reading
    */
   ensureExtraAddonHeaders: function() {
     let r = EnigmailPrefs.getPrefRoot();
@@ -159,11 +159,11 @@
    */
   getAttachmentName: function(attachment) {
     if ("name" in attachment) {
-      // Thunderbird
+      // Icedove-UXP
       return attachment.name;
     }
     else
-    // SeaMonkey
+    // Iceape-UXP
       return attachment.displayName;
   },
 
diff -ru enigmail-2.0.7-sm+tb/modules/overlays.jsm enigmail-2.0.7-ia-id/modules/overlays.jsm
--- enigmail-2.0.7-sm+tb/modules/overlays.jsm	2018-06-12 11:20:44.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/overlays.jsm	2018-07-29 16:46:38.630763154 -0400
@@ -57,13 +57,13 @@
   // main mail reading window
   "chrome://messenger/content/messenger.xul": [
     "columnOverlay.xul", {
-      // Overlay for Thunderbird (and other non-SeaMonkey apps)
+      // Overlay for Icedove-UXP (and other non-Iceape-UXP apps)
       url: "messengerOverlay-tbird.xul",
-      application: "!{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+      application: "!{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
     }, {
-      // Overlay for SeaMonkey
+      // Overlay for Iceape-UXP
       url: "messengerOverlay-sm.xul",
-      application: "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+      application: "{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
     },
     "enigmailMessengerOverlay.xul",
     "enigmailMsgHdrViewOverlay.xul"
@@ -71,26 +71,26 @@
 
   // single message reader window
   "chrome://messenger/content/messageWindow.xul": [{
-      // Overlay for Thunderbird (and other non-SeaMonkey apps)
+      // Overlay for Icedove-UXP (and other non-Iceape-UXP apps)
       url: "messengerOverlay-tbird.xul",
-      application: "!{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+      application: "!{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
     }, {
-      // Overlay for SeaMonkey
+      // Overlay for Iceape-UXP
       url: "messengerOverlay-sm.xul",
-      application: "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+      application: "{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
     },
     "enigmailMessengerOverlay.xul",
     "enigmailMsgHdrViewOverlay.xul"
   ],
 
   "chrome://messenger/content/messengercompose/messengercompose.xul": [{
-    // Overlay for Thunderbird (and other non-SeaMonkey apps)
+    // Overlay for Icedove-UXP (and other non-Iceape-UXP apps)
     url: "enigmailMsgComposeOverlay.xul",
-    application: "!{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+    application: "!{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
   }, {
-    // Overlay for SeaMonkey
+    // Overlay for Iceape-UXP
     url: "enigmailMsgComposeOverlay-sm.xul",
-    application: "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+    application: "{9184b6fe-4a5c-484d-8b4b-efbfccbfb5143a}"
   }],
 
   "chrome://messenger/content/FilterEditor.xul": ["enigmailFilterEditorOverlay.xul"],
@@ -102,7 +102,7 @@
   "chrome://messenger/content/addressbook/addressbook.xul": ["enigmailAbCardViewOverlay.xul"],
   "chrome://enigmail/content/editSingleAccount.xul": ["enigmailEditIdentity.xul"],
   //
-  // // Overlay for privacy preferences in Thunderbird
+  // // Overlay for privacy preferences in Icedove-UXP
   "chrome://messenger/content/preferences/preferences.xul": ["enigmailPrivacyOverlay.xul"],
 
   //
diff -ru enigmail-2.0.7-sm+tb/modules/pEpAdapter.jsm enigmail-2.0.7-ia-id/modules/pEpAdapter.jsm
--- enigmail-2.0.7-sm+tb/modules/pEpAdapter.jsm	2018-06-12 11:20:44.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/pEpAdapter.jsm	2018-07-29 16:46:24.689282093 -0400
@@ -345,7 +345,7 @@
   },
 
   /**
-   * Thunderbird shutdown callback (called from enigmail.js)
+   * Icedove-UXP shutdown callback (called from enigmail.js)
    */
   onShutdown: function() {
     EnigmailLog.DEBUG("pEpAdapter.jsm: onShutdown()\n");
@@ -371,7 +371,7 @@
         inspector.exitNestedEventLoop();
       });
 
-      // onShutdown should be synchronus in order for Thunderbird to wait
+      // onShutdown should be synchronus in order for Icedove-UXP to wait
       // with shutting down until we're completed
       inspector.enterNestedEventLoop(0);
       EnigmailpEp.registerLogHandler(null);
diff -ru enigmail-2.0.7-sm+tb/modules/persistentCrypto.jsm enigmail-2.0.7-ia-id/modules/persistentCrypto.jsm
--- enigmail-2.0.7-sm+tb/modules/persistentCrypto.jsm	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/persistentCrypto.jsm	2018-07-29 16:46:24.691282018 -0400
@@ -66,7 +66,7 @@
   /***
    *  dispatchMessages
    *
-   *  Because Thunderbird throws all messages at once at us thus we have to rate limit the dispatching
+   *  Because Icedove-UXP throws all messages at once at us thus we have to rate limit the dispatching
    *  of the message processing. Because there is only a negligible performance gain when dispatching
    *  several message at once we serialize to not overwhelm low power devices.
    *
diff -ru enigmail-2.0.7-sm+tb/modules/preferences/defaultPrefs.js enigmail-2.0.7-ia-id/modules/preferences/defaultPrefs.js
--- enigmail-2.0.7-sm+tb/modules/preferences/defaultPrefs.js	2018-06-12 11:20:43.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/preferences/defaultPrefs.js	2018-07-29 16:59:10.426779336 -0400
@@ -20,10 +20,10 @@
 pref("extensions.enigmail.configuredVersion", "");
 
 // Hide prefs and menu entries from non-advanced users
-pref("extensions.enigmail.advancedUser", false);
+pref("extensions.enigmail.advancedUser", true);
 
 // additional parameter(s) to pass to GnuPG
-pref("extensions.enigmail.agentAdditionalParam", "");
+pref("extensions.enigmail.agentAdditionalParam", "--throw-keyids --no-emit-version --no-comments --display-charset utf-8 --keyserver-options no-auto-key-retrieve");
 
 // path to gpg executable
 pref("extensions.enigmail.agentPath", "");
@@ -120,7 +120,7 @@
 // show quoted printable warning message (and remember selected state)
 pref("extensions.enigmail.quotedPrintableWarn", 0);
 
-// use http proxy settings as set in Mozilla/Thunderbird
+// use http proxy settings as set in Mozilla/Icedove-UXP
 pref("extensions.enigmail.respectHttpProxy", true);
 
 // selection for which encryption model to prefer
@@ -179,7 +179,7 @@
 // use PGP/MIME (0=never, 1=allow, 2=always)
 // pref("extensions.enigmail.usePGPMimeOption",1); -- OBSOLETE, see mail.identity.default.pgpMimeMode
 
-// Use gpg for keyserver operations (vs. Thunderbird)
+// Use gpg for keyserver operations (vs. Icedove-UXP)
 pref("extensions.enigmail.useGpgKeysTool", true);
 
 // show "conflicting rules" message (and remember selected state)
@@ -250,7 +250,7 @@
 
 // enable experimental features.
 // WARNING: such features may unfinished functions or tests that can break
-// existing functionality in Enigmail and Thunderbird!
+// existing functionality in Enigmail and Icedove-UXP!
 pref("extensions.enigmail.enableExperiments", false);
 
 
diff -ru enigmail-2.0.7-sm+tb/modules/stdlib/msgHdrUtils.jsm enigmail-2.0.7-ia-id/modules/stdlib/msgHdrUtils.jsm
--- enigmail-2.0.7-sm+tb/modules/stdlib/msgHdrUtils.jsm	2018-06-12 11:20:48.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/stdlib/msgHdrUtils.jsm	2018-07-29 16:46:24.687282167 -0400
@@ -259,7 +259,7 @@
 }
 
 /**
- * Get the main Thunderbird window. Used heavily to get a reference to globals
+ * Get the main Icedove-UXP window. Used heavily to get a reference to globals
  *  that are defined in mail/base/content/.
  * @return The window object for the main window.
  */
@@ -376,7 +376,7 @@
       partsOnDemand: true,
     });
 
-  // This is intentionally disabled because there's a bug in Thunderbird that
+  // This is intentionally disabled because there's a bug in Icedove-UXP that
   // renders the supposedly-useful streamHeaders function unusable.
   if (false && "streamHeaders" in messageService) {
     try {
diff -ru enigmail-2.0.7-sm+tb/modules/uris.jsm enigmail-2.0.7-ia-id/modules/uris.jsm
--- enigmail-2.0.7-sm+tb/modules/uris.jsm	2018-06-12 11:20:45.000000000 -0400
+++ enigmail-2.0.7-ia-id/modules/uris.jsm	2018-07-29 16:46:24.689282093 -0400
@@ -106,7 +106,7 @@
    */
   msgIdentificationFromUrl: function(url) {
 
-    // sample URLs in Thunderbird
+    // sample URLs in Icedove-UXP
     // Local folder: mailbox:///some/path/to/folder?number=359360
     // IMAP: imap://user@host:port/fetch>some>path>111
     // NNTP: news://some.host/some.service.com?group=some.group.name&key=3510
